Bug 795567 - highlight doesn't produce output with unknown syntax type
Summary: highlight doesn't produce output with unknown syntax type
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: highlight   
(Show other bugs)
Version: el6
Hardware: x86_64
OS: Linux
unspecified
high
Target Milestone: ---
Assignee: Jochen Schmitt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: EasyFix
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-02-20 22:42 UTC by Ferry Huberts
Modified: 2012-04-19 17:34 UTC (History)
1 user (show)

Fixed In Version: highlight-3.8-1.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-19 17:34:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ferry Huberts 2012-02-20 22:42:16 UTC
Description of problem:
highlight doesn't produce output with unknown syntax type even though the manual page says it should produce output.

this is a regression over el5

Version-Release number of selected component (if applicable):
highlight-3.2-1.el6.x86_64

How reproducible:
always

Steps to Reproduce:
1.

$ echo "a line" > .project
$ cat .project | highlight -f --force -I -O xhtml -S project 2> /dev/null

  
Actual results:
(view the error with the command 'cat .project | highlight -f --force -I -O xhtml -S project')

highlight: Lua error ( cannot open /usr/share/highlight/langDefs/project.lang: No such file or directory ) in project.lang


Expected results:
plaintext output of the .projectfile

Additional info:

Comment 1 Ferry Huberts 2012-02-21 15:26:04 UTC
file upstream bug report at https://sourceforge.net/tracker/?func=detail&aid=3490017&group_id=215618&atid=1034391

Comment 2 Ferry Huberts 2012-02-27 20:10:12 UTC
upstream reports that this bug was fixed in version 3.5

upstream is now at version 3.8, so please update the package, the one EPEL is a bit old.

Comment 3 Ferry Huberts 2012-03-02 13:34:06 UTC
ping?

Comment 4 Fedora Update System 2012-04-04 15:30:26 UTC
highlight-3.8-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/highlight-3.8-1.el6

Comment 5 Ferry Huberts 2012-04-04 16:28:23 UTC
thanks!

tested the koji build and this issue is fixed

Comment 6 Fedora Update System 2012-04-05 03:05:36 UTC
Package highlight-3.8-1.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing highlight-3.8-1.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2012-0972/highlight-3.8-1.el6
then log in and leave karma (feedback).

Comment 7 Fedora Update System 2012-04-19 17:34:32 UTC
highlight-3.8-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.